summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorSimon McVittie <simon.mcvittie@collabora.co.uk>2007-01-16 15:05:31 +0000
committerSimon McVittie <simon.mcvittie@collabora.co.uk>2007-01-16 15:05:31 +0000
commitbd2baf2aad6a7f5ecf0bf7e867e74077cf733cd6 (patch)
tree6c8eb9e0b67fb5ce5c9596437201258358a0d26b /test
parentc7fa08a7a7cc6ae3811b1164b0fdd627a9377e43 (diff)
downloaddbus-python-bd2baf2aad6a7f5ecf0bf7e867e74077cf733cd6.tar.gz
test/run-test.sh: Re-order to run the simpler tests (standalone, examples, cross tests) first
Diffstat (limited to 'test')
-rwxr-xr-xtest/run-test.sh34
1 files changed, 18 insertions, 16 deletions
diff --git a/test/run-test.sh b/test/run-test.sh
index d65d024..0cc5a7d 100755
--- a/test/run-test.sh
+++ b/test/run-test.sh
@@ -33,12 +33,22 @@ if test -z "$DBUS_TEST_PYTHON_IN_RUN_TEST"; then
export DBUS_TEST_PYTHON_IN_RUN_TEST
exec "$DBUS_TOP_SRCDIR"/test/run-with-tmp-session-bus.sh $SCRIPTNAME
fi
+
echo "running test-standalone.py"
$PYTHON "$DBUS_TOP_SRCDIR"/test/test-standalone.py || die "test-standalone.py failed"
-echo "running test-client.py"
-$PYTHON "$DBUS_TOP_SRCDIR"/test/test-client.py || die "test-client.py failed"
-echo "running test-signals.py"
-$PYTHON "$DBUS_TOP_SRCDIR"/test/test-signals.py || die "test-signals.py failed"
+
+echo "running the examples"
+
+$PYTHON "$DBUS_TOP_SRCDIR"/examples/example-service.py &
+$PYTHON "$DBUS_TOP_SRCDIR"/examples/example-signal-emitter.py &
+$PYTHON "$DBUS_TOP_SRCDIR"/examples/list-system-services.py --session ||
+ die "list-system-services.py --session failed!"
+$PYTHON "$DBUS_TOP_SRCDIR"/examples/example-async-client.py ||
+ die "example-async-client failed!"
+$PYTHON "$DBUS_TOP_SRCDIR"/examples/example-client.py --exit-service ||
+ die "example-client failed!"
+$PYTHON "$DBUS_TOP_SRCDIR"/examples/example-signal-recipient.py --exit-service ||
+ die "example-signal-recipient failed!"
echo "running cross-test (for better diagnostics use mjj29's dbus-test)"
@@ -68,18 +78,10 @@ else
echo " - cross-test server reported no untested functions"
fi
-echo "running the examples"
-
-$PYTHON "$DBUS_TOP_SRCDIR"/examples/example-service.py &
-$PYTHON "$DBUS_TOP_SRCDIR"/examples/example-signal-emitter.py &
-$PYTHON "$DBUS_TOP_SRCDIR"/examples/list-system-services.py --session ||
- die "list-system-services.py --session failed!"
-$PYTHON "$DBUS_TOP_SRCDIR"/examples/example-async-client.py ||
- die "example-async-client failed!"
-$PYTHON "$DBUS_TOP_SRCDIR"/examples/example-client.py --exit-service ||
- die "example-client failed!"
-$PYTHON "$DBUS_TOP_SRCDIR"/examples/example-signal-recipient.py --exit-service ||
- die "example-signal-recipient failed!"
+echo "running test-client.py"
+$PYTHON "$DBUS_TOP_SRCDIR"/test/test-client.py || die "test-client.py failed"
+echo "running test-signals.py"
+$PYTHON "$DBUS_TOP_SRCDIR"/test/test-signals.py || die "test-signals.py failed"
rm -f "$DBUS_TOP_BUILDDIR"/test/test-service.log
rm -f "$DBUS_TOP_BUILDDIR"/test/cross-client.log